gsasl_client_suggest_mechanism(3)

NAME
gsasl_client_suggest_mechanism - API function

SYNOPSIS
#include <gsasl.h>

const char * gsasl_client_suggest_mechanism(Gsasl * ctx, const char * mechlist);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

const char * mechlist
    input character array with SASL mechanism names, separated by invalid characters (e.g. SPC).

DESCRIPTION
Given a list of mechanisms, suggest which to use. Return value: Returns name of "best" SASL mechanism supported by the libgsasl client which is present in the input string, or NULL if no supported mechanism is found.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GNU SASL home page: http://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2019 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gsasl/manual/